<template>
	<div
		v-show="show"
		class="
			absolute top-0 bottom-0
			left-0 right-0 bg-obsidian-transparent-51
			flex justify-center
			items-center
		"
		@click.self="clickHandler"
	>
        <div :class="addClass" class="rounded-lg bg-white py-7 px-10">
            <header>
                <slot name="header"></slot>
            </header>
            <main>
                <slot name="main"></slot>
            </main>
            <div>
                <slot name="footer"></slot>
            </div>
        </div>
	</div>
</template>

<script>
export default {
	name: "Modal",
	props: {
		show: Boolean,
		addClass: String,
	},
	methods: {
		clickHandler() {
			this.$emit("toggle");
		},
	},
};
</script>

<style>
</style>